Nebular 4.0 significantly reworked theme structure, this table contains the changes:

| 3.0 Theme Variable                                                                                                                                                                                                                             	| 4.0. Theme Variable                                                                                                                                                                                                                     	| Comments                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      	|
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------	|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------	|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------	|
| `font-main`                                                                                                                                                                                                                                    	| `font-family-primary`                                                                                                                                                                                                                     	|                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               	|
| `font-secondary`                                                                                                                                                                                                                               	| `font-family-secondary`                                                                                                                                                                                                                   	|                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               	|
| `font-weight-thin`, `font-weight-light`, `font-weight-normal`, `font-weight-bolder`, `font-weight-bold`, `font-weight-ultra-bold`, `base-font-size`, `font-size-xlg`, `font-size-lg`, `font-size`, `font-size-sm`,`font-size-xs`,`line-height` 	| `text-STYLE-font-family` `text-STYLE-font-size` `text-STYLE-font-weight` `text-STYLE-line-height`                                                                                                                                       	|  Where `STYLE` is one of the following groups: 6 heading - `heading-1`, `heading-2`, `heading-3`, `heading-4`, `heading-5`, `heading-6` - used by h1-h1 elements 2 paragraphs - `paragraph`, `paragraph-2` - regular text 2 subtitle - `subtitle`, `subtitle-2` - used as a text of most of controls (inputs, menus, etc) 2 caption - `caption`, `caption-2` - used by smaller texts, like tooltip or input caption 1 label - `label` - used by label element 1 button - `button` - used in buttons  Adjust these styles to change text style of specific groups of elements. 	|
| `color-primary`, `color-success`, `color-info`, `color-warning`, `color-danger`                                                                                                                                                                	| `color-STATUS-100`, `color-STATUS-200`, `color-STATUS-300`, `color-STATUS-400`, `color-STATUS-500`, `color-STATUS-600`, `color-STATUS-700`, `color-STATUS-800`, `color-STATUS-900`,                                                     	| Where `STATUS` is one of the `primary`, `success`, `info`, `danger`, `warning` list. 100 - the lightest shade, 900 - the darkest.  500 - default color state, 600 - active, 700 - focus, 400 - hover, 300 - disabled.                                                                                                                                                                                                                                                                                                                                                         	|
| `color-bg`, `color-bg-active`, `border-color`                                                                                                                                                                                                  	| `background-STYLE-color-1`, `background-STYLE-color-2`, `background-STYLE-color-3`, `background-STYLE-color-4`, `border-STYLE-color-1`, `border-STYLE-color-2`, `border-STYLE-color-3`, `border-STYLE-color-4`, `border-STYLE-color-5`, 	| Where `STYLE` is one the the `basic`, `alternative`, `primary`.  `color-1` - the lightest one, usually used for top sitting elements - cards, headers, etc. `color-2` - for background of the layout and input controls (inputs, checkboxes, etc)  Basic background styles used for most of the elements. Alternative - for inverse color (for instance, for tooltip component). Primary background - for background of the elements that are color in primary color (not used at the moment).                                                                                	|
| `color-fg`, `color-fg-heading`, `color-fg-text`, `color-fg-highlight`,                                                                                                                                                                         	| `text-basic-color`,`text-alternate-color`,`text-control-color`,`text-disabled-color`,`text-hint-color`                                                                                                                                  	| basic-color - regular text alternate-color - used on alternate-background (inverse) control-color - used on colored backgrounds (e.g. buttons with status primary, success, etc) disabled-color - for disabled texts hint-color - labels and captions                                                                                                                                                                                                                                                                                                                         	|
| `social-color-facebook`, `social-color-twitter:`, `social-color-google`, `social-color-linkedin`, `social-color-github`, `social-color-stackoverflow`, `social-color-dribble`, `social-color-behance`,                                         	| -                                                                                                                                                                                                                                       	| Removed as not part of the system.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            	|
| `radial-gradient`, `linear-gradient`                                                                                                                                                                                                           	| -                                                                                                                                                                                                                                       	| Removed as not part of the system.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            	|
| `radius`                                                                                                                                                                                                                                       	| `border-radius`                                                                                                                                                                                                                         	|                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               	|
| `padding`                                                                                                                                                                                                                                      	| -                                                                                                                                                                                                                                       	| Removed, padding now is considered internal implementation detail.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            	|
| `margin`                                                                                                                                                                                                                                       	| -                                                                                                                                                                                                                                       	| Margin, padding now is considered internal implementation detail.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             	|
| `separator`                                                                                                                                                                                                                                    	| `divider-color`, `divider-style`, `divider-width`                                                                                                                                                                                       	|                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               	|
| -                                                                                                                                                                                                                                              	| `outline-width`, `outline-color`                                                                                                                                                                                                        	| Elements outline styles.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      	|

